Subject: Re: Graphical browsers in hypertext
From: timbl (Tim Berners-Lee)
To: "Timo Harmo - SocSci U of Helsinki" <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Mar 92 16:30:33 GMT+0100

> From: "Timo Harmo - SocSci U of Helsinki"  <[email-masked]>
> Date:     22 Mar 92 10:49:40 EET
>
> Is there, or is there planned, some kind of standard for
> presenting graphical browsers in WWW?
> I think it would be great to have maps of the hyperterritories one is
> about to explore. And it could be quite simple, too. The map could be
> just a list of links with coordinates (and maybe some formatting
> info?), line-mode clients could ignore the coordinates and present
> the browsers as lists.
>  -Timo

There are three possibilities here.

One is a general graphics browser -- that is, instead of being limited to
hypertext, go for hypergraphics. This would mean picking a graphics
standard and adding an anchor representation to add to it. As you say, a
line mode browser could just list the links from a graphics node.

Another is building a graphical map of part of the web. This is a good way
to navigate, but it is quite a challenge to decide which nodes and links
to put in and leave out, and where to put the nodes. Bear in mind that some
nodes have just a few links, some have hundreds. Trying to get the most into a
window and at the same time make it look natural is an interesting problem.
If it was computationally intensive it could be done off-line.

The third is combining the two above by making a "map" window for an existing
browser. This could serve the "History" function of showing where a user
has been, but with links off to other nodes too.  As most people seem to prefer
to think of the data they browse as a tree, one could start by representing the
paths the user took as a tree, and then put in cross-links and links to
other referenced nodes.

Yes, its a great idea -- anyone want to implement it?   :-)

	Tim